=== debian/changelog ===
lomiri-system-settings (1.3.1-6) unstable; urgency=medium

  * debian/rules:
    + Set correct lomiri-keyboard plugin-path at build-time.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 23 Jun 2025 13:23:09 +0200

lomiri-system-settings (1.3.1-5) unstable; urgency=medium

  * debian/patches:
    + Replace 0001_lib-LomiriSystemSettingsPrivate-accountsservice.cpp-Register-
      missing-D-Bus-types.patch by 0001_plugins-language-hardwarekeyboard-
      plugin.cpp-Registe.patch (reviewed upstream patch).
    + Add 0002_Add-shortcut-to-OSK-layout-settings.patch. Make OSK layout
      settings available via URL dispatcher call.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Jun 2025 22:16:23 +0200

lomiri-system-settings (1.3.1-4) unstable; urgency=medium

  * debian/patches:
    + Add 0001_lib-LomiriSystemSettingsPrivate-accountsservice.cpp-Register-
      missing-D-Bus-types.patch. lib/LomiriSystemSettingsPrivate/
      accountsservice.cpp: Register missing D-Bus types. This resolves
      l-s-s crashes when the external keyboard selector interacts with
      ayatana-indicator-keyboard via AccountsService.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jun 2025 07:54:49 +0200

lomiri-system-settings (1.3.1-3) unstable; urgency=medium

  [ Adam Havelka ]
  * debian/patches:
    + Add 2014_removing-unnecessary-mobile-only-functionality.patch. Make
      About plugin available on mainline Linux (i.e. Debian) by removing
      mobile-only / Ubuntu Touch / libhybris / deviceinfo functionality and
      information.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Jun 2025 23:13:52 +0200

lomiri-system-settings (1.3.1-2) unstable; urgency=medium

  * debian/patches:
    + Update 2011_build-without-trust-store.patch. Fix regression introduced in
      lomiri-system-settings 1.3.1-1.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 08:40:32 +0200

lomiri-system-settings (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_dont-hardcode-cxx-standard.patch. Applied upstream.
    + Rebase 2002_use-Noto-font-instead-of-Ubuntu-font.patch.
    + Drop 2012_no-Location-service-yet.patch. Location service is now available
      in Debian.
    + Add 2013_show-hotspot-on-desktop.patch. Show hotspot feature for all
      form-factors.
  * debian/control:
    + Add to R: lomiri-location-service-bin.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 11:12:16 +0200
