=== schema/CMakeLists.txt ===
install(FILES com.lomiri.lomiri-system-settings.gschema.xml DESTINATION "${CMAKE_INSTALL_DATADIR}/glib-2.0/schemas")
