=== debian/changelog ===
lomiri-system-settings (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2014_removing-unnecessary-mobile-only-functionality.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 12 Aug 2025 11:43:36 +0200
